org.omg.PortableServer

## Class IdUniquenessPolicyValue

- java.lang.Object
- - org.omg.PortableServer.IdUniquenessPolicyValue

All Implemented Interfaces:
  Serializable, IDLEntity

    public class IdUniquenessPolicyValue
    extends Object
    implements IDLEntity

IdUniquenessPolicyValue can have the following values. UNIQUE_ID - Servants activated with that POA support exactly one Object Id. MULTIPLE_ID - a servant activated with that POA may support one or more Object Ids.

### Field Summary

Fields
`static int` `_MULTIPLE_ID`
`static int` `_UNIQUE_ID`
`static IdUniquenessPolicyValue` `MULTIPLE_ID`
`static IdUniquenessPolicyValue` `UNIQUE_ID`

### Constructor Summary

Constructors
`protected` `IdUniquenessPolicyValue(int value)`

### Method Summary

Methods
`static IdUniquenessPolicyValue` `from_int(int value)`
`int` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _UNIQUE_ID

    public static final int _UNIQUE_ID

See Also:
  Constant Field Values

#### UNIQUE_ID

    public static final IdUniquenessPolicyValue UNIQUE_ID

#### _MULTIPLE_ID

    public static final int _MULTIPLE_ID

See Also:
  Constant Field Values

#### MULTIPLE_ID

    public static final IdUniquenessPolicyValue MULTIPLE_ID

### Constructor Detail

#### IdUniquenessPolicyValue

    protected IdUniquenessPolicyValue(int value)

### Method Detail

#### value

    public int value()

#### from_int

    public static IdUniquenessPolicyValue from_int(int value)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.